"""
fuzzing with millions of words to make sure it works fine
git clone https://github.com/thewh1teagle/hebrew_diacritized
uv run examples/fuzz.py hebrew_diacritized/data
"""

from mishkal import phonemize
from pathlib import Path
import sys

from mishkal.variants import Word
from mishkal.lexicon.symbols import LetterSymbol

target_dir = sys.argv[1]
files = Path(target_dir).glob('**/*.txt')

with_kamatz = {}

for file in files:
    with open(file, 'r', encoding='utf-8') as f:
        for line in f:
            words: list[Word] = phonemize(line, debug=True)
            for word in words:
                if len(word.phonemes) >= 2:
                    if word.phonemes[0].letter.contains_any_symbol([LetterSymbol.hataf_qamats]):
                        print(word.phonemes[0].word)
                    
                
            